Delete onlineMeeting
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Delete an onlineMeeting object.
Permissions
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | OnlineMeetings.ReadWrite |
| Delegated (personal Microsoft account) | Not Supported. |
| Application | OnlineMeetings.ReadWrite.All* |
To use application permission for this API, tenant administrators must create an application access policy and grant it to a user to authorize the app configured in the policy to delete online meetings on behalf of that user (with user ID specified in the request path).
HTTP request
To delete an onlineMeeting using meeting ID with delegated (/me) and app (/users/{userId}) permission:
DELETE https://graph.microsoft.com/beta/me/onlineMeetings/{meetingId}
DELETE https://graph.microsoft.com/beta/users/{userId}/onlineMeetings/{meetingId}
Note
userIdis the object ID of a user in Azure user management portal. For more details, see application access policy.meetingIdis the id of an onlineMeeting object.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 204 No Content response code. It does not return anything in the response body.
Examples
Request
The following example shows the request.
DELETE https://graph.microsoft.com/beta/me/onlineMeetings/550fae72-d251-43ec-868c-373732c2704f_19:meeting_M2IzYzczNTItYmY3OC00MDlmLWJjMzUtYmFiMjNlOTY4MGEz@thread.skype
Response
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for